Issue2762

classification
Title: jython-standalone 2.7.1 fails vuln check because of commons-compress 1.14
Type: security Severity: urgent
Components: Library Versions: Jython 2.7
Milestone: Jython 2.7.2
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: jamesmudd Nosy List: dwichers, jamesmudd, jeff.allen
Priority: normal Keywords:

Created on 2019-04-19.19:17:55 by dwichers, last changed 2019-05-12.12:58:58 by jeff.allen.

Messages
msg12446 (view) Author: David Wichers (dwichers) Date: 2019-04-19.19:23:48
This issue is similar to: issue2728. org.apache.commons:commons-compress:1.14 is subject to two medium severity denial of service CVEs: 

CVE-2018-11771 (https://nvd.nist.gov/vuln/detail/CVE-2018-11771)- When reading a specially crafted ZIP archive, the read method of Apache Commons Compress 1.7 to 1.17's ZipArchiveInputStream can fail to return the correct EOF indication after the end of the stream has been reached. When combined with a java.io.InputStreamReader this can lead to an infinite stream, which can be used to mount a denial of service attack against services that use Compress' zip package.

CVE-2018-1324 (https://nvd.nist.gov/vuln/detail/CVE-2018-1324) - A specially crafted ZIP archive can be used to cause an infinite loop inside of Apache Commons Compress' extra field parser used by the ZipFile and ZipArchiveInputStream classes in versions 1.11 to 1.15. This can be used to mount a denial of service attack against services that use Compress' zip package.

Please upgrade to 1.18 (or later) before 2.7.2 is released (hopefully soon?).
msg12500 (view) Author: James Mudd (jamesmudd) Date: 2019-05-08.21:25:56
PR to update to 1.18 https://github.com/jythontools/jython/pull/138
msg12508 (view) Author: Jeff Allen (jeff.allen) Date: 2019-05-12.12:58:58
Now in at: https://hg.python.org/jython/rev/37616d952bde

Thanks James
History
Date User Action Args
2019-05-12 12:58:58jeff.allensetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg12508
nosy: + jeff.allen
2019-05-08 21:25:56jamesmuddsetmessages: + msg12500
2019-05-08 21:10:46jamesmuddsetassignee: jamesmudd
nosy: + jamesmudd
2019-04-19 20:50:00jeff.allensetpriority: normal
resolution: accepted
2019-04-19 19:23:49dwicherssettype: security
versions: + Jython 2.7
messages: + msg12446
severity: normal -> urgent
milestone: Jython 2.7.2
2019-04-19 19:17:55dwicherscreate